﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SmartHRMS.Infrastructure
{
    /// <summary>
    /// Status of user login to system
    /// </summary>
    [Flags]
    public enum LoginResults
    {
        /// <summary>
        /// Invalid user name or password
        /// </summary>
        InvalidCredential,

        /// <summary>
        /// Invalid user name or password
        /// </summary>
        AccountDisabled,

        /// <summary>
        /// Successful
        /// </summary>
        Successful,

        /// <summary>
        /// The user is locked out by continuous failed password attempts.
        /// </summary>
        LockedOut,
    }
}