namespace SmartHRMS.Infrastructure.Query
{
    public class Criteria
    {
        private string _property;
        private object _value;
        private CriteriaOperator _operator;
		
        public Criteria(string propertyName, object value, CriteriaOperator @operator)
        {
            _property = propertyName;
            _value = value;
            _operator = @operator;
        }
		
        public string PropertyName
        {
            get
            {
                return _property;
            }
            set
            {
                _property = value;
            }
        }
		
        public object Value
        {
            get
            {
                return _value;
            }
            set
            {
                _value = value;
            }
        }
		
        public CriteriaOperator CriteriaOperator
        {
            get
            {
                return _operator;
            }
            set
            {
                _operator = value;
            }
        }
    }
}
