﻿using System;
using System.Collections.Generic;

namespace SmartHRMS.Model.Account
{
    public interface IRoleService
    {
        IList<Role> FindAll();

        Role FindBy(Guid roleId);

        void Save(Role role);

        void Remove(Role role);

        bool IsRoleNameExist(string roleName);
    }
}
