﻿using System;
using System.Collections.Generic;

namespace SmartHRMS.Model.Account
{
    public class Permission
    {
        public Guid PermissionId { get; set; }

        public string PermissionKey { get; set; }

        public Module Module { get; set; }

        private ICollection<Role> role = new HashSet<Role>();

        public Permission()
        {

        }

        public Permission(Guid permissionId, string permissionKey)
        {
            this.PermissionId = permissionId;
            this.PermissionKey = permissionKey;
        }


        public ICollection<Role> Role
        {
            get { return role; }

            set { role = value; }

        }

    }
}
