﻿using System;
using System.Collections.Generic;

namespace SmartHRMS.Presentation.Account
{
    public interface IRoleView:IBaseView
    {
        Guid RoleId { get; }

        string Name { get; set; }

        string InsertedBy { get; set; }

        string InsertedByName { get; set; }

        string InsertedDate { get; set; }

        string UpdatedBy { get; set; }

        string UpdatedByName { get; set; }

        string UpdatedDate { get; set; }

        IList<string> Permission { get; set; }

        string SaveButtonText { set; }
    }
}
