﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="RoleList.ascx.cs" Inherits="SmartHRMS.UI.Web.Modules.Administration.Account.RoleList" %>

<asp:Panel ID="pnlError" runat="server">
  <table style="border: thin solid #FF0000">
    <tr>
      <td>
        <font color="red">
          <asp:Literal ID="litErrorMessage" runat="server"></asp:Literal>
        </font>
      </td>
    </tr>
  </table>
  <br />
</asp:Panel>

<asp:Panel ID="pnlInfo" runat="server">
  <table style="border: thin solid #00FF00">
    <tr>
      <td>
        <font color="#00FF00">
          <asp:Literal ID="litInfoMessage" runat="server"></asp:Literal>
        </font>
      </td>
    </tr>
  </table>
  <br />
</asp:Panel>
<asp:GridView ID="grdRoles" DataKeyNames="RoleId" runat="server"  
              AutoGenerateColumns="False" 
              BorderWidth="1px" EnableTheming="True" ShowFooter="True" 
              ShowHeaderWhenEmpty="True" onrowcommand="grdRoles_RowCommand" 
              AllowPaging="True" AllowSorting="True">
  <Columns>        
    <asp:BoundField DataField="Name" HeaderText="Role Name" />
    <asp:HyperLinkField DataNavigateUrlFields="RoleId" 
                        DataNavigateUrlFormatString="RoleDetailPage.aspx?id={0}" 
                        Text="Edit" HeaderText="#" />
    <asp:TemplateField ShowHeader="False" HeaderText="#">
      <ItemTemplate>
        <asp:LinkButton ID="lnkDelete" runat="server" CausesValidation="False" 
                        CommandArgument='<%#Eval("RoleId") %>' CommandName="deleterole" 
                        Text="Delete" OnClientClick="return confirm('Are you sure you want to delete this role?');"></asp:LinkButton>
      </ItemTemplate>
    </asp:TemplateField>
  </Columns>
  <HeaderStyle BorderColor="#BED6F6" BorderStyle="Solid" BorderWidth="1px" />
</asp:GridView>
<br />
<asp:LinkButton id="LinkButton1" runat="server" CssClass="VerticalSkinnedButton">
  <asp:Button ID="btnNew" runat="server" Text="Add Role" 
              onclick="btnNew_Click" >
  </asp:Button>
</asp:LinkButton>
