﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="UserDetail.ascx.cs" Inherits="SmartHRMS.UI.Web.Modules.Administration.Account.UserDetail1" %>

<asp:UpdatePanel runat="server" ID="up1">
  <ContentTemplate>

<h3>
  <asp:Literal ID="litTitle" runat="server"></asp:Literal>
</h3>

<asp:Panel ID="pnlError" runat="server">
  <table style="border: thin solid #FF0000">
    <tr>
      <td>
        <font color="red" style="font-size: small; font-weight: bold">
          <asp:Literal ID="litErrorMessage" runat="server"></asp:Literal>
        </font>
      </td>
    </tr>
  </table>
  <br />
</asp:Panel>

<asp:Panel ID="pnlInfo" runat="server">
  <table style="border: thin solid green">
    <tr>
      <td>
        <font color="green" style="font-weight: bold; font-size: small">
          <asp:Literal ID="litInfoMessage" runat="server"></asp:Literal>
        </font>
      </td>
    </tr>
  </table>
  <br />
</asp:Panel>

<asp:Panel ID="pnlWarr" runat="server">
  <table style="border: thin solid orange">
    <tr>
      <td>
        <font color="Orange" style="font-size: small; font-weight: bold">
          <asp:Literal ID="litWarrMessage" runat="server"></asp:Literal>
        </font>
      </td>
    </tr>
  </table>
  <br />
</asp:Panel>

    <table style="width:100%">
      <tr class="HeaderTextRow">
        <td class="HeaderText">
          Please fill this form and click save/update button to keep updated record. Click refresh button to refresh the current information on the page.
        </td>
      </tr>
      <tr >
        <td>
          <table cellspacing="0" cellpadding="0" style="width:100%">
            <tbody>
              <tr>
                <td>
                  <table>
                    <tbody>
                      <tr>
                        <td>
                        </td>
                        <td>
                        </td>
                        <td >
                        </td>
                        <td ></td>
                        <td align="left" id="_Wait">
                          * - indicates a required field
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </td>
                <td align="right" >
                  &nbsp;
                </td>
              </tr>
            </tbody>
          </table>
        </td>
      </tr>
    </table>
    <table cellpadding="5" cellspacing="5" border="0" width="450">        
      <tr>
        <td colspan="2" style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
          <strong>
            User Information
          </strong>
        </td>
      </tr>
      <tr>
        <td rowspan="4" valign="top">
          <table cellspacing="0" cellpadding="0" width="500px">
            <tbody>
              <tr>
                <td class="Description">
                  Please enter, User name- Note that user name must not exceeded 50 
                  characters long,
                </td>
              </tr>
            </tbody>
          </table>
        </td>
        <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
                 
          User name*
          <asp:TextBox ID="txtUserName" runat="server" 
                       Width="225px" ClientIDMode="AutoID" 
                       ontextchanged="txtUserName_TextChanged" AutoPostBack="True"></asp:TextBox >
                  
          <div runat="server" id="UserAvailability"></div>
            

        </td>
      </tr>
      <tr>
        <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF" valign="top">
          Password*
          <asp:TextBox ID="txtPassword" runat="server" 
                       TextMode="Password" Width="225px"></asp:TextBox>

        </td>
      </tr>
      <tr>
        <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
          Re-Password*
          <asp:TextBox ID="txtRePassword" runat="server" 
                       TextMode="Password" Width="225px"></asp:TextBox>
        </td>
      </tr>
      <tr>
        <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
          Employee Code*
          <asp:TextBox ID="txtEmployeeCode" runat="server" 
                       Width="225px"></asp:TextBox>
        </td>
      </tr>
      <tr>
        <td colspan="2" 
            style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
          <strong>
            User Activity Information
          </strong>
        </td>
      </tr>
      <tr>
        <td  rowspan="4" valign="top">
          This information is managed by the system.
        </td>
        <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
          Created By
          :<asp:HyperLink ID="HyperLinkCreatedBy" runat="server"></asp:HyperLink>
        </td>
      </tr>
      <tr>
        <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
          Date Created
          <asp:TextBox ID="txtCreatedDate" runat="server" 
                              ReadOnly="True" Width="225px" BackColor="#EBF3FF" BorderStyle="None">
          </asp:TextBox>
        </td>
      </tr>
      <tr>
        <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
          Updated By
          :<asp:HyperLink ID="HyperLinkUpdated" runat="server"></asp:HyperLink>
        </td>
      </tr>

      <tr>
        <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
          Date Updated
          <asp:TextBox ID="txtUpdatedDate" runat="server"  
                              ReadOnly="True" Width="225px" BackColor="#EBF3FF" BorderStyle="None">
          </asp:TextBox>
        </td>
      </tr>

    </table>
    <asp:LinkButton id="LinkButton1" runat="server" CssClass="VerticalSkinnedButton">
      <asp:Button ID="btnSaveUser" runat="server" onclick="btnSaveUser_Click" Text="Save" >                       
      </asp:Button>
    </asp:LinkButton>
    <asp:LinkButton id="LinkButton2" runat="server" CssClass="VerticalSkinnedButton">
      <asp:Button  ID="btnCancelEditUser" runat="server"  onclick="btnCancelEditUser_Click"  Text="Back to User List" ></asp:Button >
    </asp:LinkButton>
  </ContentTemplate>
</asp:UpdatePanel>