﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CompanyDetail.ascx.cs" Inherits="SmartHRMS.UI.Web.Modules.Administration.Company.CompanyDetail" %>
  <asp:UpdatePanel runat="server" ID="up1">
  <ContentTemplate>
    <script type="text/javascript">
        function uploadStarted() {
            $get("imgDisplay").style.display = "none";
        }
        function uploadComplete(sender, args) {
            var imgDisplay = $get("imgDisplay");
            imgDisplay.src = "images/loader.gif";
            imgDisplay.style.cssText = "";
            var img = new Image();
            img.onload = function () {
                imgDisplay.style.cssText = "height:100px;width:100px";
                imgDisplay.src = img.src;
            };
            img.src = "<%=ResolveUrl(UploadFolderPath) %>" + args.get_fileName();
            ;
        }
  </script>
<h3>
  <asp:Literal ID="litTitle" runat="server"></asp:Literal>
</h3>

<asp:Panel ID="pnlError" runat="server">
  <table style="border: thin solid #FF0000">
    <tr>
      <td>
        <font color="red" style="font-size: small; font-weight: bold">
          <asp:Literal ID="litErrorMessage" runat="server"></asp:Literal>
        </font>
      </td>
    </tr>
  </table>
  <br />
</asp:Panel>

<asp:Panel ID="pnlInfo" runat="server">
  <table style="border: thin solid green">
    <tr>
      <td>
        <font color="green" style="font-weight: bold; font-size: small">
          <asp:Literal ID="litInfoMessage" runat="server"></asp:Literal>
        </font>
      </td>
    </tr>
  </table>
  <br />
</asp:Panel>

<asp:Panel ID="pnlWarr" runat="server">
  <table style="border: thin solid orange">
    <tr>
      <td>
        <font color="Orange" style="font-size: small; font-weight: bold">
          <asp:Literal ID="litWarrMessage" runat="server"></asp:Literal>
        </font>
      </td>
    </tr>
  </table>
  <br />
</asp:Panel>


 <act:TabContainer ID="TabContainer1" runat="server" Width="100%">

          <act:TabPanel ID="TabPanelCompanyInfo" runat="server" HeaderText="Company Info">
            <ContentTemplate>    
            
            
             <table style="width:100%">
                <tr class="HeaderTextRow">
                  <td class="HeaderText" colspan="2">
                    Please fill this form and click <b>save/update</b> button to keep updated record.
                  </td>
                </tr>
                <tr >
                  <td colspan="2">
                    <table cellspacing="0" cellpadding="0" style="width:100%">
                      <tbody>
                        <tr>
                          <td>
                            <table>
                              <tbody>
                                <tr>
                                  <td>
                                  </td>
                                  <td>
                                  </td>
                                  <td >
                                  </td>
                                  <td ></td>
                                  <td align="left" id="_Wait">
                                    * - indicates a required field
                                  </td>
                                </tr>
                              </tbody>
                            </table>
                          </td>
                          <td align="right" >
                           
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </td>
                </tr>
              </table>
              <table cellpadding="5" cellspacing="5" border="0" width="450">        
                <tr>
                  <td colspan="2" style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
                    <strong>
                      Company Information
                    </strong>
                  </td>
                </tr>
                <tr>
                  <td rowspan="4" valign="top">
                    <table cellspacing="0" cellpadding="0" width="500px">
                      <tbody>
                        <tr>
                          <td class="Description">
                            Please enter,<b>Campany Name</b>- Note that campany name must not exceeded 250 
                            characters long.<b>Establish Date</b>-Note that establish date is in DD-MM-YYYY 
                            format,<b>Mission</b>- Note that mission must not exceeded 250 characters long and 
                            <b>Vision</b>-Not that vision must not exceeded 250 character long.
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </td>
                  <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
                    Company name*<asp:TextBox ID="txtCompanyName" runat="server" Width="225px"></asp:TextBox>
                  </td>
                </tr>
                <tr>
                  <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF" valign="top">
                    Establish date*
                    <asp:TextBox ID="txtEstablishDate" runat="server" 
                          Width="190px"></asp:TextBox>

                      <act:CalendarExtender ID="CalendarExtender1" runat="server" 
                          TargetControlID="txtEstablishDate" PopupButtonID="ImageCalander" Format="dd-MM-yyyy" Enabled="True">
                      </act:CalendarExtender>
                      <asp:Image ID="ImageCalander" runat="server" 
                          ImageUrl="~/Content/Images/calander.gif" CssClass="calanderImage" 
                          EnableTheming="True" ImageAlign="AbsBottom" />
                  </td>
                </tr>
                <tr>
                  <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
                    Mission
                    <asp:TextBox ID="txtMission" runat="server" Height="60px" 
                                        TextMode="MultiLine" Width="225px" TabIndex="1" ></asp:TextBox>
                  </td>
                </tr>
                <tr>
                  <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
                    Vision
                    <asp:TextBox ID="txtVision" runat="server" Height="60px" 
                                       TextMode="MultiLine" Width="225px"></asp:TextBox>
                  </td>
                </tr>
                <tr>
                  <td colspan="2" 
                      style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
                    <strong>
                      Company Additional Information
                    </strong>
                  </td>
                </tr>
                <tr>
                  <td  rowspan="3" valign="top">
                    Please provide additional company information.Currently i'm not done with restricting file formats on logo uploading.
                  </td>
                  <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
                    Slogan<asp:TextBox 
                      ID="txtSlogan" runat="server" Height="60px" 
                      TextMode="MultiLine" Width="225px"></asp:TextBox>
                  </td>
                </tr>
                <tr>
                  <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
                    Logo</td>
                </tr>
                <tr>
                  <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
                    <act:AsyncFileUpload OnClientUploadComplete="uploadComplete" 
                                         ID="AsyncFileUpload1" runat="server" 
                                         Width="225px" 
                          CompleteBackColor="White" UploadingBackColor="#CCFFFF"
                                         ThrobberID="imgLoader" OnUploadedComplete="FileUploadComplete" 
                                         OnClientUploadStarted = "uploadStarted" 
                          EnableTheming="True" FailedValidation="False" ClientIDMode="Static"/>
                    <asp:Image ID="imgLoader" runat="server" 
                               ImageUrl="~/Content/Images/loader.gif" Height="64px" Width="64px" />
                    <br />
                    <br />
                    <img id="imgDisplay" alt="" src="ShowImage.ashx" style="width:120px;height:120px" />
                  </td>
                </tr>

              </table>
                   
            </ContentTemplate>
          </act:TabPanel>


          <act:TabPanel ID="TabPanelCompanyAddress" runat="server" HeaderText="Company Address">
            <ContentTemplate>    
            
            
             <table style="width:100%">
                <tr class="HeaderTextRow">
                  <td class="HeaderText" colspan="2">
                    Please fill this form and click Save button to keep updated record. Click Cancel to return to the previous screen or Home.
                  </td>
                </tr>
                <tr >
                  <td colspan="2">
                    <table cellspacing="0" cellpadding="0" style="width:100%">
                      <tbody>
                        <tr>
                          <td>
                            <table>
                              <tbody>
                                <tr>
                                  <td>
                                  </td>
                                  <td>
                                  </td>
                                  <td >
                                  </td>
                                  <td ></td>
                                  <td align="left" id="Td1">
                                    * - indicates a required field
                                  </td>
                                </tr>
                              </tbody>
                            </table>
                          </td>
                          <td align="right" >
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </td>
                </tr>
              </table>

              <table cellpadding="5" cellspacing="5" border="0" width="450">        
                <tr>
                  <td colspan="2" style="border: thin dotted #C0C0C0; background-color: #EBF3FF">

                    <strong>
                      Company Address Information
                    </strong>
                  </td>
                </tr>
                <tr>
                  <td rowspan="10" valign="top">
        
                    <table cellspacing="0" cellpadding="0" width="500px">
                      <tbody>
                        <tr>
                              <td class="Description">
                            Please enter, Campany name- Note that campany name must not exceeded 250 
                            characters long,Establish date-Note that establish date is in as DD-MM-YYYY 
                            format,Mission- Note that mission must not exceeded 250 characters long and 
                                Vision-Not that vision must not exceeded 250 character long.
                              </td>
                            </tr>
                          </tbody>
                        </table>
    
                          </td>
                          <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
                        Country*<asp:TextBox ID="txtCountry" runat="server" ></asp:TextBox>
                      </td>
                    </tr>
                <tr>
                  <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
                    Street*<asp:TextBox 
                      ID="txtStreet" runat="server" ></asp:TextBox>
                  </td>
                </tr>
                 <tr>
                  <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
                    House/Build.Number*<asp:TextBox 
                      ID="txtHouseNumber" runat="server" ></asp:TextBox>
                  </td>
                </tr>
                <tr>
                  <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
                    City*<asp:TextBox ID="txtCity" runat="server" ></asp:TextBox>
                  </td>
                </tr>
                <tr>
                  <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
                    State*<asp:TextBox ID="txtState" runat="server" ></asp:TextBox>
                  </td>
                </tr>
                <tr>
                  <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
                    PostCode*<asp:TextBox 
                      ID="txtPostCode" runat="server" ></asp:TextBox>
                  </td>
                </tr>
                <tr>
                  <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
                    Office Phone*<asp:TextBox 
                      ID="txtOfficePhone" runat="server" ></asp:TextBox>
                  </td>
                </tr>
                <tr>
                  <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
                    Fax<asp:TextBox ID="txtFax" runat="server" ></asp:TextBox>
                  </td>
                </tr>
                <tr>
                  <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
                    Email<asp:TextBox ID="txtEmail" runat="server" ></asp:TextBox>
                  </td>
                </tr>
                <tr>
                  <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
                    Website<asp:TextBox 
                      ID="txtWebsite" runat="server" ></asp:TextBox>
                  </td>
                </tr>
              </table>
            
           
                   
            </ContentTemplate>
          </act:TabPanel>
        </act:TabContainer>
          
          <br />
                                          <asp:LinkButton id="LinkButton1" runat="server" CssClass="VerticalSkinnedButton">
     <asp:Button ID="btnSaveTop" runat="server" Text="Save" 
                                        onclick="btnSaveTop_Click" />
    </asp:LinkButton>
  </ContentTemplate>
</asp:UpdatePanel>