﻿using SmartHRMS.Infrastructure;
using System;

namespace SmartHRMS.Model.Account
{
    public interface IPrincipalRepository : IRepository<Principal>
    {

        User User { get; }

        void Logout(Guid userId);

        void Act();

        User LoadUserById(Guid userId);

        User LoadUserByUserName(string userName);

        LoginResults Login(string userName, string password);
    }
}
