﻿using System;
using SmartHRMS.Infrastructure;

namespace SmartHRMS.Model.Account
{
    public interface IPrincipalService : IApplicationContext
    {
        User User { get; }

        void Logout();

        void Act();

        User LoadUserById(Guid userId);

        User LoadUserByUserName(string userName);

        LoginResults Login(string userName, string password);
    }
}
