﻿using SmartHRMS.Infrastructure;
using System.Collections.Generic;
using System;

namespace SmartHRMS.Model.Account
{
    public interface IRoleRepository : IRepository<Role>
    {
        bool IsRoleNameExist(string roleName);

        void RevokePermissions(Guid roleId);

        void GrantPermissions(IList<Permission> permission);
    }
}
