﻿using SmartHRMS.Infrastructure;
using System;
using System.Collections.Generic;

namespace SmartHRMS.Model.Account
{
    public interface IUserRepository : IRepository<User>
    {
        IList<User> FindUsersByEmployeeCode(string employeeCode);

        IList<User> FindUsersByName(string userName);

        bool AddToRole(Guid roleId);

        bool RemoveRole(Guid roleId);

        bool IsUserNameExist(string userName);
    }
}
