﻿using System;
using System.Collections.Generic;

namespace SmartHRMS.Model.Account
{
    public interface IUserService
    {
        IList<User> FindAll();

        User FindBy(Guid userId);

        IList<User> FindUsersByEmployeeCode(string employeeCode);

        IList<User> FindUsersByName(string userName);

        void Save(User user);

        void Remove(User user);

        bool AddToRole(Guid roleId);

        bool RemoveRole(Guid roleId);

        bool IsUserNameExist(string userName);
    }
}
