﻿
namespace SmartHRMS.Model.Account
{
    /// <summary>
    /// Class of permission const values
    /// </summary>
    public sealed class PermissionConst
    {
        /// <summary>
        /// EveryOne means all authenticated users.
        /// </summary>
        public const string EVERYONE = "EveryOne";

        /// <summary>
        /// Anonymous means all users including unauthenticated users.
        /// </summary>
        public const string ANONYMOUS = "Anonymous";
    }
}