﻿using System;

namespace SmartHRMS.Presentation.Company
{
    public interface ICompanyView : IBaseView
    {
        #region Properties

        Guid CompanyId { get; }

        string CompanyName { get; set; }

        string EstablishDate { get; set; }

        string Mission { get; set; }

        string Vision { get; set; }

        string Slogan { get; set; }

        byte[] Logo { get; set; }

        string Country { get; set; }

        string Street { get; set; }

        string HouseNumber { get; set; }

        string City { get; set; }

        string State { get; set; }

        string PostCode { get; set; }

        string CellPhone { get; set; }

        string HomePhone { get; set; }

        string OfficePhone { get; set; }

        string Fax { get; set; }

        string Email { get; set; }

        string Website { get; set; }     

        string SaveButtonText { set; }

        #endregion
    }
}
