﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="RoleDetail.ascx.cs" Inherits="SmartHRMS.UI.Web.Modules.Administration.Account.RoleDetail" %>

<asp:UpdatePanel runat="server" ID="up1">
  <ContentTemplate>

<h3>
  <asp:Literal ID="litTitle" runat="server"></asp:Literal>
</h3>

<asp:Panel ID="pnlError" runat="server">
  <table style="border: thin solid #FF0000">
    <tr>
      <td>
        <font color="red" style="font-size: small; font-weight: bold">
          <asp:Literal ID="litErrorMessage" runat="server"></asp:Literal>
        </font>
      </td>
    </tr>
  </table>
  <br />
</asp:Panel>

<asp:Panel ID="pnlInfo" runat="server">
  <table style="border: thin solid green">
    <tr>
      <td>
        <font color="green" style="font-weight: bold; font-size: small">
          <asp:Literal ID="litInfoMessage" runat="server"></asp:Literal>
        </font>
      </td>
    </tr>
  </table>
  <br />
</asp:Panel>

<asp:Panel ID="pnlWarr" runat="server">
  <table style="border: thin solid orange">
    <tr>
      <td>
        <font color="Orange" style="font-size: small; font-weight: bold">
          <asp:Literal ID="litWarrMessage" runat="server"></asp:Literal>
        </font>
      </td>
    </tr>
  </table>
  <br />
</asp:Panel>

 <act:TabContainer ID="TabContainer1" runat="server" Width="100%" ActiveTabIndex="0">

          <act:TabPanel ID="TabPanelCompanyInfo" runat="server" HeaderText="Role Info">
            <ContentTemplate> 

    <table style="width:100%">
      <tr class="HeaderTextRow">
        <td class="HeaderText">
          Please fill this form and click save/update button to keep updated record. Click refresh button to refresh the current information on the page.
        </td>
      </tr>
      <tr >
        <td>
          <table cellspacing="0" cellpadding="0" style="width:100%">
            <tbody>
              <tr>
                <td>
                  <table>
                    <tbody>
                      <tr>
                        <td>
                        </td>
                        <td>
                        </td>
                        <td >
                        </td>
                        <td ></td>
                        <td align="left" id="_Wait">
                          * - indicates a required field
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </td>
                <td align="right" >
                  &nbsp;
                </td>
              </tr>
            </tbody>
          </table>
        </td>
      </tr>
    </table>
    <table cellpadding="5" cellspacing="5" border="0" width="450">        
      <tr>
        <td colspan="2" style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
          <strong>
            Role Information
          </strong>
        </td>
      </tr>
      <tr>
        <td rowspan="1" valign="top">
          <table cellspacing="0" cellpadding="0" width="500px">
            <tbody>
              <tr>
                <td class="Description">
                    Please enter, Role name- Note that role name must not exceeded 50 characters 
                    long,
                </td>
              </tr>
            </tbody>
          </table>
        </td>
        <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
                 
            Role name*
          <asp:TextBox ID="txtRoleName" runat="server" 
                       Width="225px" ClientIDMode="AutoID"  AutoPostBack="True"></asp:TextBox >
                  
          <div runat="server" id="UserAvailability"></div>
            

        </td>
      </tr>
      <tr>
        <td colspan="2" 
            style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
          <strong>
            Role Activity Information
          </strong>
        </td>
      </tr>
      <tr>
        <td  rowspan="4" valign="top">
          This information is managed by the system.
        </td>
        <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
          Created By
          :<asp:HyperLink ID="HyperLinkCreatedBy" runat="server"></asp:HyperLink>
        </td>
      </tr>
      <tr>
        <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
          Date Created
          <asp:TextBox ID="txtCreatedDate" runat="server" 
                              ReadOnly="True" Width="225px" BackColor="#EBF3FF" BorderStyle="None">
          </asp:TextBox>
        </td>
      </tr>
      <tr>
        <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
          Updated By
          :<asp:HyperLink ID="HyperLinkUpdated" runat="server"></asp:HyperLink>
        </td>
      </tr>

      <tr>
        <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
          Date Updated
          <asp:TextBox ID="txtUpdatedDate" runat="server"  
                              ReadOnly="True" Width="225px" BackColor="#EBF3FF" BorderStyle="None">
          </asp:TextBox>
        </td>
      </tr>

    </table>
     </ContentTemplate>
          </act:TabPanel>


          <act:TabPanel ID="TabPanelCompanyAddress" runat="server" HeaderText="Permission Info">
            <ContentTemplate> 


              <table cellpadding="5" cellspacing="5" border="0" width="450">        
      <tr>
        <td style="border: thin dotted #C0C0C0; background-color: #EBF3FF">
          <strong>
            System Permissions
          </strong>
        </td>
      </tr>
      <tr>
        <td rowspan="1" valign="top">
          <table cellspacing="0" cellpadding="0" width="500px">
            <tbody>
              <tr>
                <td class="Description">
                    <asp:TreeView ID="TreeViewPermissions" runat="server" 
                    ontreenodecheckchanged="TreeViewPermissions_TreeNodeCheckChanged" 
                    ontreenodepopulate="TreeViewPermissions_TreeNodePopulate" ShowCheckBoxes="Leaf">
                </asp:TreeView>
                </td>
              </tr>
            </tbody>
          </table>
        </td>
      </tr>
    </table>

               

            </ContentTemplate> 
            </act:TabPanel>
            </act:TabContainer>
          
          <br />

    <asp:LinkButton id="LinkButton1" runat="server" CssClass="VerticalSkinnedButton" >
      <asp:Button ID="btnSave" runat="server"  Text="Save" onclick="btnSave_Click" >                       
      </asp:Button>
    </asp:LinkButton>
    <asp:LinkButton id="LinkButton2" runat="server" CssClass="VerticalSkinnedButton">
      <asp:Button  ID="btnCance" runat="server"  Text="Back to Role List" onclick="btnCancel_Click" ></asp:Button >
    </asp:LinkButton>
  </ContentTemplate>
</asp:UpdatePanel>