﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="UserList.ascx.cs" Inherits="SmartHRMS.UI.Web.Modules.Administration.Account.UserList1" %>
    
  <asp:UpdatePanel ID="UpdatePanelUsers" runat="server">
  <ContentTemplate>
<asp:Panel ID="pnlError" runat="server">
  <table style="border: thin solid #FF0000">
    <tr>
      <td>
        <font color="red">
          <asp:Literal ID="litErrorMessage" runat="server"></asp:Literal>
        </font>
      </td>
    </tr>
  </table>
  <br />
</asp:Panel>

<asp:Panel ID="pnlInfo" runat="server">
  <table style="border: thin solid #00FF00">
    <tr>
      <td>
        <font color="#00FF00">
          <asp:Literal ID="litInfoMessage" runat="server"></asp:Literal>
        </font>
      </td>
    </tr>
  </table>
  <br />
</asp:Panel>

  <b style="font-size:12px;font-family:Cambria"> 
  Click one of the following link to display all users whose name begins with that letter:
  </b>
   <p></p>
   <asp:Repeater runat="server" ID="rptAlphabet" 
          onitemcommand="rptAlphabet_ItemCommand">
      <ItemTemplate>
      <asp:LinkButton ID="LinkButton1" runat="server" Font-Size="12px" Text='<%# Container.DataItem %>'
         CommandArgument='<%# Container.DataItem %>' />&nbsp;&nbsp;
      </ItemTemplate>
   </asp:Repeater>
   <p></p>
   <b style="font-size:12px;font-family:Cambria">
      Otherwise use the controls below to search users by partial username or employee 
      code:
   </b>
   <p></p>
   
                <table>
                    <tr>
                        <td>   
                            <asp:DropDownList ID="ddlSearchTypes" runat="server" ValueType="System.String" 
                                AutoPostBack="True">
                                <asp:ListItem Value="UserName">UserName</asp:ListItem>
                                <asp:ListItem Value="EmployeeCode">EmployeeCode</asp:ListItem>
                                
                            </asp:DropDownList>
                        </td>
                        <td>
                            <asp:Label ID="ASPxLabel1" runat="server" Text="contains">
                            </asp:Label>
                        </td>
                        <td class="style2">
                <asp:TextBox ID="txtSearchText" runat="server" Width="170px">
                </asp:TextBox>
                        </td>
                        <td>
                      <asp:LinkButton id="LinkButton2" runat="server" CssClass="VerticalSkinnedButton">
                <asp:Button ID="btnSearch" runat="server" 
                    Text="Search" onclick="btnSearch_Click">
                </asp:Button>
               </asp:LinkButton>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &nbsp;</td>
                        <td>
                            &nbsp;</td>
                        <td class="style2">
                            &nbsp;</td>
                        <td>
                            &nbsp;</td>
                    </tr>
                </table>
                <asp:GridView ID="grdUsers" runat="server" AllowPaging="True" 
                                AllowSorting="True" AutoGenerateColumns="False" CellPadding="4" 
                                DataKeyNames="UserId" EnableTheming="True" 
                                ForeColor="#333333" GridLines="None" 
                                onrowcommand="grdUsers_RowCommand" 
                                ShowFooter="True" ShowHeaderWhenEmpty="True" 
          Width="600px" EmptyDataText="No data found.">                                
                                <Columns>
                                    <asp:BoundField DataField="EmployeeCode" HeaderText="Employee Code" />
                                    <asp:BoundField DataField="UserName" HeaderText="User Name" />
                                    <asp:HyperLinkField DataNavigateUrlFields="UserId" 
                                        DataNavigateUrlFormatString="UserDetailPage.aspx?id={0}" HeaderText="#" 
                                        Text="Edit" />
                                    <asp:TemplateField HeaderText="#" ShowHeader="False">
                                        <ItemTemplate>
                                            <asp:LinkButton ID="lnkDelete" runat="server" CausesValidation="False" 
                                                CommandArgument='<%#Eval("UserId") %>' CommandName="deleteuser" 
                                                OnClientClick="return confirm('Are you sure you want to delete this user?');" 
                                                Text="Delete"></asp:LinkButton>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                </Columns>
                                <EditRowStyle BackColor="#999999" />
                                
                                <HeaderStyle BackColor="#5D7B9D" BorderColor="#BED6F6" BorderStyle="Solid" 
                                    BorderWidth="1px" Font-Bold="True" ForeColor="White" />
                            </asp:GridView>
              

<br />
<asp:LinkButton id="LinkButton1" runat="server" CssClass="VerticalSkinnedButton">
  <asp:Button ID="btnNewUser" runat="server" Text="Add User" 
              onclick="btnNewUser_Click" >
  </asp:Button>
</asp:LinkButton>

</ContentTemplate>
 </asp:UpdatePanel>
